This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 20676 - Non working lilo conf
Non working lilo conf
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-11 10:56 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-11 10:56:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-11 10:56:47 EST
I have a Windows 98 partition in hdc1, after making a clean RedHat
7 install in hda1, lilo would not boot into windows.

In lilo.conf there was

other=/dev/hdc1
	label=win

I had to change it to:


other=/dev/hdc1
     label=win
     table=/dev/hdc
     map-drive=0x80
     to=0x81
     map-drive=0x81
     to=0x80

And now it boots
Comment 1 Jeremy Katz 2002-06-04 01:24:15 EDT
There's no way to deterministically tell the drive mapping with an x86 machine.
 Future releases will allow you to change the drive ordering during the install.

Note You need to log in before you can comment on or make changes to this bug.